---
title: WebGLRenderingContext.sampleCoverage()
slug: Web/API/WebGLRenderingContext/sampleCoverage
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.sampleCoverage()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> specifies multi-sample coverage parameters for anti-aliasing effects.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.sampleCoverage(<var>value</var>, <var>invert</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>value</dt>
 <dd>A {{domxref("GLclampf")}} which sets a single floating-point coverage value clamped to the range [0,1]. The default value is 1.0.</dd>
 <dt>invert</dt>
 <dd>A {{domxref("GLboolean")}} which sets whether or not the coverage masks should be inverted. The default value is <code>false</code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<p>Multi-sampling is disabled by default. To enable or disable multi-sampling, use the {{domxref("WebGLRenderingContext.enable", "enable()")}} and {{domxref("WebGLRenderingContext.disable", "disable()")}} methods with the argument <code>gl.SAMPLE_COVERAGE</code> and <code>gl.SAMPLE_ALPHA_TO_COVERAGE</code>.</p>

<pre class="brush: js">gl.enable(gl.SAMPLE_COVERAGE);
gl.sampleCoverage(0.5, false);
</pre>

<p>To check the sample coverage values, query the <code>SAMPLE_COVERAGE_VALUE</code> and <code>SAMPLE_COVERAGE_INVERT</code> constants.</p>

<pre class="brush: js">gl.getParameter(gl.SAMPLE_COVERAGE_VALUE);  // 0.5
gl.getParameter(gl.SAMPLE_COVERAGE_INVERT); // false
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.3", "sampleCoverage")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glSampleCoverage.xml", "glSampleCoverage")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.sampleCoverage")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLCanvasElement.getContext()")}} – <code>antialias</code> parameter for the context.</li>
</ul>
